import { Field } from 'solid-form-handler'
import { Show, splitProps } from 'solid-js'
import { Dynamic } from 'solid-js/web'

export default function Finput(props) {
  const [local, rest] = splitProps(props, ['label', 'icon'])

  return (
    <Field
      {...props}
      mode="input"
      render={(field) => (
        <div class="form-control w-full [&:not(:last-child)]:pb-3">
          <Show when={local.label}>
            <div class="label">
              <span class="label-text">{local.label}</span>
            </div>
          </Show>
          <label
            class="input input-bordered flex items-center gap-2 w-full"
            classList={{ 'input-error': field.helpers.error }}
          >
            <Show when={local.icon}>
              <Dynamic component={local.icon} size={18} />
            </Show>
            <input {...rest} class="grow w-full" {...field.props} />
          </label>
          <Show when={field.helpers.error}>
            <div class="label">
              <span class="label-text-alt text-red-600">
                {field.helpers.errorMessage}
              </span>
            </div>
          </Show>
        </div>
      )}
    />
  )
}
