import daisyui from 'daisyui'
import themes from 'daisyui/src/theming/themes'

/** @type {import('tailwindcss').Config} */
export default {
  content: ['./src/**/*.{js,jsx}'],
  theme: {
    extend: {
      colors: {
        fu: {
          white: '#fff',
          black: '#212121',
          primary: '#03c9d7',
          green: '#05b187',
          orange: '#fb9678',
          yellow: '#fec90f',
        },
      },
    },
  },
  plugins: [daisyui],
  daisyui: {
    themes: [
      {
        light: {
          ...themes['light'],
          primary: '#03c9d7',
          'primary-content': '#ffff',
          secondary: '#fb9678',
          'secondary-content': '#ffff',
        },
      },
    ],
  },
}
